Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class EModelDiagramType

    java.lang.Object
      biouml.model.DiagramTypeSupport
          biouml.model.dynamics.EModelDiagramType

All Implemented Interfaces:
  DiagramType

public class EModelDiagramType
extends DiagramTypeSupport

Type for executable model diagram. It is a decorator (Decorator Design Pattern) for other `DiagramType`.

Field Summary
`protected DiagramType` | `diagramType`

Fields inherited from class biouml.model.DiagramTypeSupport
`diagramViewBuilder, semanticController`

Constructor Summary
`EModelDiagramType(DiagramType type)`

Method Summary
`DiagramViewBuilder` | `getDiagramViewBuilder()`
`java.lang.Class[]` | `getEdgeTypes()`
`java.lang.Class[]` | `getNodeTypes()`
`SemanticController` | `getSemanticController()`

Methods inherited from class biouml.model.DiagramTypeSupport
`getDiagramFilter, getLegend`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### diagramType

    protected DiagramType diagramType

Constructor Detail

### EModelDiagramType

    public EModelDiagramType(DiagramType type)

Method Detail

### getNodeTypes

    public java.lang.Class[] getNodeTypes()

  Specified by:
    `getNodeTypes` in interface `DiagramType`
  Overrides:
    `getNodeTypes` in class `DiagramTypeSupport`

### getEdgeTypes

    public java.lang.Class[] getEdgeTypes()

  Specified by:
    `getEdgeTypes` in interface `DiagramType`
  Overrides:
    `getEdgeTypes` in class `DiagramTypeSupport`

### getDiagramViewBuilder

    public DiagramViewBuilder getDiagramViewBuilder()

  Specified by:
    `getDiagramViewBuilder` in interface `DiagramType`
  Overrides:
    `getDiagramViewBuilder` in class `DiagramTypeSupport`

### getSemanticController

    public SemanticController getSemanticController()

  Specified by:
    `getSemanticController` in interface `DiagramType`
  Overrides:
    `getSemanticController` in class `DiagramTypeSupport`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.